<h2> Reactive: <small>Switches</small> </h2>
<hr>

<form [formGroup]="miFormulario" (ngSubmit)="guardar()">
    <!-- Radio -->
    <div class="row mb-3">
        <label class="col-sm-3 col-form-label">Género</label>
        <div class="col-sm-9">            
            <div class="form-check">
                <input class="form-check-input" type="radio" formControlName="genero" id="radioMasculino" value="M">
                <label class="form-check-label" for="radioMasculino">Masculino</label>
            </div>
            <div class="form-check">
                <input class="form-check-input" type="radio" formControlName="genero" id="radioFemenino" value="F">
                <label class="form-check-label" for="radioFemenino">Femenino</label>
            </div>
        </div>        
    </div>
    <!-- Switches -->
    <div class="row mb-3">
        <label class="col-sm-3 col-form-label">Notificaciones</label>
        <div class="col-sm-9 mt-2">
            <div class="form-check form-switch">
                <input class="form-check-input" 
                       type="checkbox" 
                       role="switch" 
                       formControlName="notificaciones"
                       id="flexSwitchCheckDefault"
                       required>
                <label class="form-check-label" for="flexSwitchCheckDefault">Quiero recibir notificaciones</label>
            </div>
        </div>
    </div>
    <!-- Checkbox -->
    <div class="row mb-3">
        <label class="col-sm-3 col-form-label"></label>        
        <div class="col-sm-9">
            <div class="form-check">
                <input 
                    class="form-check-input" 
                    type="checkbox" 
                    id="flexCheckDefault"
                    formControlName="condiciones">
                <label class="form-check-label" for="flexCheckDefault">
                  Términos y condiciones de uso
                </label>
            </div>
        </div>
    </div>
    <!-- Button Submit -->
    <div class="row">
        <div class="col">
            <button type="submit" class="btn btn-primary float-end">Guardar</button>
        </div>
    </div>
</form>



<h5>Value del formulario</h5>
<pre>{{ miFormulario.value | json }}</pre>

<h5>Valid</h5>
<pre>{{ miFormulario.valid }}</pre>

<h5>Persona</h5>
<pre>{{ persona | json }}</pre>

<!-- <h5>Términos</h5>
<pre>{{ validate() | json}}</pre> -->
